<app-title-page></app-title-page>
<div class="default-card">

  <!--title-->
  <div class="mb-3 row">
    <div class="col-sm-8 order-12 order-sm-1 p-2">
      <span class="title">{{ post.title }} </span>
      <nz-tag [nzColor]="'blue'">Đang mở</nz-tag>
    </div>
    <div class="col-sm-4 order-1 order-sm-12 p-2">
      <div class=" d-flex justify-content-end ">
        <button nz-button nzType="danger" [disabled]="disableBtnAction || post.notApproved" class="mr-2" (click)="blockPost()">Khóa bài</button>
        <button nz-button nzType="primary"  [disabled]="disableBtnAction || post.approved" (click)="approvePost()">Duyệt bài</button>
      </div>
    </div>
  </div>

  <!--infomation-->
  <div class="row">
    <div class="col-md-8">
      <div class="row my-2">
        <div class="col">
          <div class="description">
            <span class="term">Người đăng</span>
            <p class="detail"><a href="javascript:void(0)">{{ post.username }}</a></p>
          </div>
        </div>
        <div class="col">
          <div class="description">
            <span class="term">Thời gian đăng</span>
            <p class="detail">{{ post.createAt }}</p>
          </div>
        </div>
      </div>

      <div class="row my-2">
        <div class="col">
          <div class="description">
            <span class="term">Giá thuê</span>
            <p class="detail">{{ post.accomodationDTO.price }}đ/tháng</p>
          </div>
        </div>
        <div class="col">
          <div class="description">
            <span class="term">Loại căn hộ</span>
            <p class="detail">
              <span *ngIf="!post.accomodationDTO.motel">nhà nguyên căn</span>
              <span *ngIf="post.accomodationDTO.motel">phòng trọ</span>
            </p>
          </div>
        </div>
      </div>

      <div class="row my-2">
        <div class="col">
          <div class="description">
            <span class="term">Địa chỉ</span>
            <p class="detail">{{ post.accomodationDTO.address }}
              <i nz-icon [ngClass]="showMap ? 'serve' :'not-serve'" style="font-size: 1rem"
                 (click)="showMap = !showMap">
                <svg>
                  <path
                    d="M658.285714 365.714286q0-60.562286-42.861714-103.424t-103.424-42.861714-103.424 42.861714-42.861714 103.424 42.861714 103.424 103.424 42.861714 103.424-42.861714 42.861714-103.424zM804.571429 365.714286q0 62.317714-18.870857 102.253714l-208.018286 442.294857q-9.142857 18.870857-27.136 29.696t-38.546286 10.825143-38.546286-10.825143-26.550857-29.696l-208.603429-442.294857q-18.870857-40.009143-18.870857-102.253714 0-121.124571 85.723429-206.848t206.848-85.723429 206.848 85.723429 85.723429 206.848z"/>
                </svg>
              </i>
            </p>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-4 text-right extra-content">
      <div class="row">
        <div class="col">
          <span class="label">Giá điện (VND/kWh)</span>
          <p class="detail">{{ post.accomodationDTO.electricPrice }}</p>
        </div>
        <div class="col">
          <span class="label">Giá nước (VND/m<sup>3</sup>)</span>
          <p class="detail">{{ post.accomodationDTO.waterPrice }}</p>
        </div>
      </div>
      <div class="row extra-content">
        <div class="col">
          <span class="label">Tiện ích khác</span>
          <p class="detail">
            <i nz-icon nzTitle="máy điều hoà" [ngClass]="post.accomodationDTO.airConditioner ? 'serve' : 'not-serve'"
               nzPlacement="bottom" nz-tooltip>
            <svg>
                <path
                  d="M500.6 653.5c37.1 58.4 34.2 76.3 1.9 108.6-41.2 41.2-46.4 73.4-1.9 143.4 4.2 6.5 12.8 8.4 19.3 4.3 6.5-4.2 8.4-12.8 4.3-19.3-37.1-58.4-34.2-76.3-1.9-108.6 41.2-41.2 46.4-73.4 1.9-143.4-4.2-6.5-12.8-8.4-19.3-4.3-6.5 4.1-8.5 12.8-4.3 19.3zM276.6 653.5c37.1 58.4 34.2 76.3 1.9 108.6-41.2 41.2-46.4 73.4-1.9 143.4 4.2 6.5 12.8 8.4 19.3 4.3 6.5-4.2 8.4-12.8 4.3-19.3-37.1-58.4-34.2-76.3-1.9-108.6 41.2-41.2 46.4-73.4 1.9-143.4-4.2-6.5-12.8-8.4-19.3-4.3-6.5 4.1-8.4 12.8-4.3 19.3zM726.5 762.1c-41.2 41.2-46.4 73.4-1.9 143.4 4.2 6.5 12.8 8.4 19.3 4.3 6.5-4.2 8.4-12.8 4.3-19.3-37.1-58.4-34.2-76.3-1.9-108.6 41.2-41.2 46.4-73.4 1.9-143.4-4.2-6.5-12.8-8.4-19.3-4.3-6.5 4.2-8.4 12.8-4.3 19.3 37.1 58.4 34.2 76.3 1.9 108.6zM64.4 226.1v223.8c0 61.9 50.1 112.1 112 112.1h672c61.8 0 112-50.2 112-112.1V226.1c0-61.9-50.1-112.1-112-112.1h-672c-61.8 0-112 50.2-112 112.1z"></path>
                <path
                  d="M120.4 226.1c0-30.9 25.1-56.1 56-56.1h672c30.9 0 56 25.1 56 56.1v223.8c0 30.9-25.1 56.1-56 56.1h-672c-30.9 0-56-25.1-56-56.1V226.1z"
                  fill="#FFFFFF" p-id="2176"></path>
                <path
                  d="M400.4 268c0-23.1 18.4-42 41.7-42h84.5c23.2 0 41.7 19.1 41.7 42 0 23.1-18.4 42-41.7 42h-84.5c-23.1 0-41.7-19.1-41.7-42zM232.4 268c0-23.2 19-42 42-42 23.2 0 42 19 42 42 0 23.2-19 42-42 42-23.2 0-42-19-42-42zM246.4 394h532v-28h-532v28zM246.4 450h532v-28h-532v28z"></path>
                <path
                  d="M428.4 268c0 7.5 6.1 14 13.7 14h84.5c7.7 0 13.7-6.3 13.7-14 0-7.5-6.1-14-13.7-14h-84.5c-7.7 0-13.7 6.3-13.7 14zM260.4 268c0 7.5 6.3 14 14 14 7.5 0 14-6.3 14-14 0-7.5-6.3-14-14-14-7.5 0-14 6.3-14 14z"></path>
              </svg>
            </i>
            <i nz-icon nzTitle="truyền hình cáp" [ngClass]="post.accomodationDTO.cableTV ? 'serve' : 'not-serve'" nzPlacement="bottom" nz-tooltip>
              <svg>
                <path
                  d="M474.4 178.24c-14.72 4-33.92 24-52 52a106.24 106.24 0 0 0-20.64 58.72c2.08 4 12 2.08 14.72-1.92s2.08-12 14.72-41.28 50.08-44 52-48-3.2-21.76-8.8-19.52zM241.76 592c-2.72-8.64 11.36-13.28 13.28-16s7.2-9.28 3.36-9.92c-16-3.36-38.72 4.64-34.72 30.08s30.08 20.64 34.08 20.64 2.72-3.36 0-9.92-13.28-6.56-16-14.88z m571.36-288c-51.36 0-52.64 41.28-52.64 41.28l-65.92 9.28S606.4 106.72 587.36 88.64s-79.04 0.96-125.92 22.08-132 93.92-172 213.92a309.12 309.12 0 0 0 15.04 224l-11.36 11.04a32 32 0 0 0-8-9.92 65.6 65.6 0 0 0-53.28-11.36 51.2 51.2 0 0 0-30.72 68.64 70.88 70.88 0 0 0 53.28 42.56c3.36 0 57.28 128 57.28 128a393.76 393.76 0 0 0-116 70.4c-46.08 44.64-40.64 86.72-39.36 91.36s470.08 3.36 474.72-1.28 5.28-64-65.92-122.72-176-52-176-52l-89.44-153.76 28-17.6a372.16 372.16 0 0 0 60.64 76 411.2 411.2 0 0 0 214.72 98.72c112 13.28 176-32 187.36-39.36a94.56 94.56 0 0 0 33.28-41.92c2.08-12-93.28-248-93.92-250.72A487.84 487.84 0 0 1 780.48 400l16 4.64c8.64 2.72 53.28 1.28 67.36-19.36S864 304 813.12 304z m-336 496c92.64 21.28 123.36 112 118.72 116.64a128 128 0 0 1-49.92 1.28c-1.28-2.72-42.08-54.72-48-56s-12.64 1.28-9.92 4.64a528 528 0 0 1 39.36 50.08h-19.36a316.64 316.64 0 0 0-38.72-41.28c-4 0-12 5.28-8.64 8s32 32 29.28 32h-17.28a302.08 302.08 0 0 0-29.28-28.64c-3.36 0-9.28 4-8.64 6.72s20.64 20 16 22.08-244.32-3.52-254.24-5.28 16-60.64 88.64-92.64 100-39.36 192.64-17.6z m-158.08-219.04c-4.64 3.36-37.28 24-35.36 28s93.28 152.64 88.64 154.72-48 8.64-48 8.64l-56.64-130.72s11.36-6.72 10.72-9.92 0-9.28-2.72-8.64a56.48 56.48 0 0 1-25.92 8c-9.92-1.28-40-16-37.92-42.72s11.36-33.28 22.08-37.28a35.36 35.36 0 0 1 36 0c14.08 8 16 13.28 14.72 14.72s-14.72 9.28-12.64 12 2.72 12 7.36 8.64 28.64-25.92 32-22.72 12.32 13.92 7.68 17.28z m417.28-48s-80-58.72-80-56-5.92 12-3.36 13.28 86.08 57.28 88.64 62.08 34.72 76.64 32 76-118.56-84.32-120.48-82.72-6.72 14.08-4 16 128 80 131.36 86.08a208 208 0 0 1 14.08 36 12.64 12.64 0 0 1-7.36 8c-2.72 0-141.28-92-145.28-90.72s-9.28 10.08-6.72 12 142.08 86.72 138.72 90.08-36.64 20-36.64 20-113.28-72.8-116.8-72.8-9.92 5.28-8 7.36 114.08 70.08 110.72 72a167.52 167.52 0 0 1-32 10.08 53.76 53.76 0 0 1-16 1.28s-76-58.72-80-58.72-12.64 5.28-8 8.64a798.4 798.4 0 0 1 70.08 52A346.72 346.72 0 0 1 496 708.32c-80-38.72-165.28-133.28-184.64-219.36a339.84 339.84 0 0 1 59.36-262.72c52-65.28 131.36-112 189.28-117.92 8.8-0.96 113.28 266.72 113.28 266.72s-23.36-1.92-22.72 0-1.92 10.72 1.28 10.72 25.28 2.08 26.08 4.64 24 60 24 60A300.64 300.64 0 0 0 659.68 432c-1.28 2.08-4.64 8.64 0 12s44.32 21.6 46.08 24.96 30.24 64 30.24 64z m92-145.28c-21.28 5.28-45.28-6.72-50.72-3.36a535.68 535.68 0 0 1-53.92 34.08A185.44 185.44 0 0 1 702.4 368c1.44-3.04 69.28-9.92 71.36-13.92s4.64-48 49.28-36.64 26.72 64.8 5.44 70.24zM565.12 906.24c2.08 2.08 10.08-1.28 12-4.64a302.72 302.72 0 0 0-45.92-57.92c-4.64-1.92-14.4 3.04-12 6.72s43.84 53.92 45.92 55.84z m-300.64-52c-8.64 10.72-14.24 24.64-12 26.08a19.36 19.36 0 0 0 16 0c2.72-1.28 1.28-2.72 4-11.36s16-16 18.08-20.64-4.64-6.72-9.92-7.36-7.52 2.72-16.16 13.28z m120-2.72a34.08 34.08 0 0 0-50.72-24 32 32 0 0 0-12.64 52.48c17.28 25.6 69.92 0.96 62.88-28.32z m-43.68-10.56a18.4 18.4 0 0 1 27.36 12.96c3.52 16-24.8 29.12-34.24 15.04a17.44 17.44 0 0 1 6.88-27.84z m89.6 1.76c13.28-7.36 21.28-21.92 14.72-30.72a32 32 0 0 0-37.92-3.36 19.04 19.04 0 0 0-11.36 24.64c1.92 9.76 21.28 16.96 34.56 9.76z m-8.64-28.64c9.76-2.08 16 2.72 12 9.28s-17.28 12.64-22.72 8-4.64-13.76 10.72-17.12z"/>
              </svg>
            </i>
            <i nz-icon nzTitle="wifi" [ngClass]="post.accomodationDTO.internet ? 'serve' : 'not-serve'" nzPlacement="bottom" nz-tooltip nzType="wifi" nzTheme="outline"></i>
            <i nz-icon nzTitle="nơi đỗ xe" [ngClass]="post.accomodationDTO.parking ? 'serve' : 'not-serve'" nzPlacement="bottom" nz-tooltip>
              <svg>
                <path
                  d="M563.2 469.333333 426.666667 469.333333 426.666667 298.666667 563.2 298.666667C610.133333 298.666667 648.533333 337.066667 648.533333 384 648.533333 430.933333 610.133333 469.333333 563.2 469.333333M554.666667 128 256 128 256 896 426.666667 896 426.666667 640 554.666667 640C695.893333 640 810.666667 525.226667 810.666667 384 810.666667 242.346667 695.893333 128 554.666667 128Z"/>
              </svg>
            </i>
            <i nz-icon nzTitle="toilet riêng" [ngClass]="(post.accomodationDTO.toilet == 'CHUNG') ? 'serve' : 'not-serve'" nzPlacement="bottom" nz-tooltip>
              <svg>
                <path
                  d="M341.34471 341.310579l682.621159 0 0 68.262116L341.34471 409.572695 341.34471 341.310579zM0.034131 0l273.048463 0 0 409.572695L0.034131 409.572695 0.034131 0zM68.296247 341.310579l136.524232 0 0-273.048463L68.296247 68.262116 68.296247 341.310579zM1023.965869 477.834811c-4.812479 0-0.102393 9.590827-0.30718 14.335044-5.870542 142.360643-99.082461 261.853476-227.346977 307.179521 5.017266 14.744617 12.116526 32.424505 22.867809 53.927072 34.131058 68.262116 102.393174 102.393174 102.393174 102.393174l0 68.262116L443.737884 1023.931738l0-68.262116c0 0 59.251517-33.414306 102.393174-102.393174 13.038064-20.854076 20.888207-38.192654 26.076128-52.766616-113.24685-38.807013-199.70082-135.227252-223.968002-254.412906L68.296247 546.096927l0-68.262116C68.296247 477.834811 777.880941 477.834811 1023.965869 477.834811zM644.257849 747.640824c-4.5053 26.758749-13.311113 66.965136-29.864676 105.635624-22.492367 52.493567-68.262116 102.393174-68.262116 102.393174l273.048463 0c0 0-44.063196-45.906273-68.262116-102.393174-16.007466-37.339377-24.949803-78.364909-29.659889-105.669755 109.765482-15.632025 198.608626-95.942404 225.811079-201.509766L418.241984 546.096927C445.444437 651.766682 534.389974 732.077062 644.257849 747.640824z"/>
              </svg>
            </i>
          </p>
        </div>
      </div>

    </div>
  </div>

  <!--location-->
  <agm-map *ngIf="showMap" #vmap fullscreenControl="true" [zoom]="18" [usePanning]="false" [latitude]="post.accomodationDTO.xCoordinate"
           disableDoubleClickZoom="false" [longitude]="post.accomodationDTO.yCoordinate">
    <agm-marker [latitude]="post.accomodationDTO.xCoordinate"
                [longitude]="post.accomodationDTO.yCoordinate" title="TP HCM">
    </agm-marker>
  </agm-map>

  <nz-tabset>
    <nz-tab nzTitle="Nội dung">
      <p [innerHtml]="post.content"></p>
    </nz-tab>
    <nz-tab nzTitle="Ảnh minh họa">
      <div class="clearfix">
        <img *ngFor="let img of post.imageStrings" src="{{ img }}" alt="">
        <!--<nz-upload-->
          <!--nzAction="https://jsonplaceholder.typicode.com/posts/"-->
          <!--nzListType="picture-card"-->
          <!--[nzFileList]="fileList"-->
          <!--[nzShowButton]="fileList.length < 10"-->
          <!--[nzShowUploadList]="showUploadList"-->
          <!--[nzPreview]="handlePreview">-->
          <!--<i nz-icon type="plus"></i>-->
          <!--<div class="ant-upload-text">Upload</div>-->
        <!--</nz-upload>-->
        <!--<nz-modal-->
          <!--[nzVisible]="previewVisible"-->
          <!--[nzContent]="modalContent"-->
          <!--[nzFooter]="null"-->
          <!--(nzOnCancel)="previewVisible = false">-->
          <!--<ng-template #modalContent>-->
            <!--<img [src]="data.image" [ngStyle]="{ width: '100%' }"/>-->
          <!--</ng-template>-->
        <!--</nz-modal>-->
      </div>
    </nz-tab>
  </nz-tabset>

</div>
